---
slug: 1-5
title: Remotion 1.5
author: Jonny Burger
author_title: Indie Hacker
author_url: https://github.com/JonnyBurger
author_image_url: https://avatars2.githubusercontent.com/u/1629785?s=460&u=12eb94da6070d00fc924761ce06e3a428d01b7e9&v=4
---

This release contains no big new features, but addresses some common problems.

## No Chromium download necessary

Until now, every time you ran `yarn create video`, a binary of Chromium was installed, which was slow and took a lot of space (between 170-280MB depending on the OS). Making matters even worse, these binaries would not include the codec required to play MP4 videos, meaning if you wanted to embed one, you had to convert it to WebM first.

Now Remotion will try to find an existing installation of Chrome on your machine and if it finds one, it will use it and skip the download. If it doesn't find one, you can specify the path using the [`setBrowserExecutable()`](/docs/config#setbrowserexecutable) option or the [`--browser-executable`](/docs/cli) command line flag.

If you are running Remotion on a machine where neither Chrome nor Chromium is installed, Remotion will still download a version from the internet. However, the download only happens when you invoke `npm run build` for the first time, so you don't have to wait so long before you can start experimenting.

## Improved Apple Silicon and WSL support

Apple Silicon support is another nice side-effect of the Puppeteer refactor, since previously the installation would fail because no Chromium binaries were available for the Apple Silicon architecture. Now that Remotion will try to use the local Chrome installation this is way less likely to happen.

On Windows Subsystem for Linux, a missing flag would lead to Remotion getting stuck during rendering. This is now fixed. Linux users also need to install some additional libraries, [which is now documented](/docs/#additional-step-for-linux-users).

## Smoother timeline

Why would the timeline of your 30 FPS only play at 28.7FPS? Turns out it's a bug that was investigated and fixed by [yuta0801](https://github.com/remotion-dev/remotion/pull/148)! Now the playback during preview is smoother and the FPS counter is way more likely to display a number matching your desired FPS.

## Failing to render a frame fails hard

If a frame fails to render for some reason (such as calling `delayRender()` and never resolving the lock), this will now stop the rendering process. Previously you would get an error message but Remotion would keep trying and keep failing.

## Rendering will happen on a localhost server

Previously during rendering, frames would be opened via `file://` protocol and get screenshotted. Now the frames are being served on `http://localhost:3000` (if port is not available, it will try 3001, 3002, etc.), which is the same behavior as in the preview.

Now APIs can now simply whitelist localhost domains in their CORS configurations, and you can more easily use those APIs to feed data into your video.

## New tutorial: Programmatic Instagram Stories

In case you missed it, I released a new tutorial showing the workflow of how to programmatically create Instagram Stories with dynamic content. [You can watch it here.](https://www.youtube.com/channel/UCsBAIv086U4dViuxXJLMJpg)

## Upgrade

As always, you can upgrade to the newest version by running `npm run upgrade` in your Remotion project.
